#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_with	gnutls		# use GnuTLS instead of OpenSSL [needs update: recent gnutls no longer uses libgcrypt]
#
Summary:	A GNU package for creating portable C++ programs
Summary(pl.UTF-8):	Pakiet GNU do tworzenia przenośnych programów w C++
Name:		commoncpp2
Version:	1.8.1
Release:	6
License:	GPL v2+ with runtime exception
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/commoncpp/%{name}-%{version}.tar.gz
# Source0-md5:	4804b184e609154ba2bc0aa9f61dc6ef
Patch0:		%{name}-netfilter.patch
Patch1:		%{name}-include.patch
Patch2:		%{name}-link.patch
Patch3:		%{name}-info.patch
Patch4:		openssl.patch
URL:		http://www.gnu.org/software/commoncpp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
%{?with_gnutls:BuildRequires:	gnutls-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel
%{!?with_gnutls:BuildRequires:	openssl-devel}
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the second major release of GNU Common C++. GNU Common C++ "2"
is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. GNU Common C++ "2"
also offers individual frameworks generally useful to developing
portable C++ applications including a object persistance engine, math
libraries, threading, sockets, etc. GNU Common C++ "2" is small, and
highly portable. GNU Common C++ "2" will support most Unix operating
systems as well as Win32, in addition to GNU/Linux.

%description -l pl.UTF-8
Drugie główne wydanie GNU Common C++. GNU Common C++ oferuje przenośne
abstrakcje usług systemowych takich jak wątki, sieci i gniazda.
Oferuje także poszczególne szkielety użyteczne do rozwijania
przenośnych aplikacji C++ zawierające silnik trwałych obiektów,
biblioteki matematyczne, wątków, gniazd itd. GNU Common C++ jest mały
i przenośny. Oprócz GNU/Linuksa obsługuje także większość uniksowych
systemów operacyjnych oraz Win32.

%package devel
Summary:	Header files for commoncpp2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki commoncpp2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_gnutls:Requires:	gnutls-devel}
Requires:	libstdc++-devel
Requires:	libxml2-devel
%{!?with_gnutls:Requires:	openssl-devel}
Requires:	zlib-devel

%description devel
Header files for commoncpp2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki commoncpp2.

%package static
Summary:	Static commoncpp2 library
Summary(pl.UTF-8):	Statyczna biblioteka commoncpp2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static commoncpp2 library.

%description static -l pl.UTF-8
Statyczna biblioteka commoncpp2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
export CXXFLAGS="%{rpmcxxflags} -std=c++11 -fpermissive"
%configure \
	%{!?with_static_libs:--disable-static} \
	%{?with_gnutls:--with-gnutls} \
	%{!?with_gnutls:--with-openssl}

# ensure netfilter is detected
grep -q 'HAVE_NAT_NETFILTER 1' config.h || exit 1

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.addendum ChangeLog NEWS README SUPPORT THANKS TODO
%attr(755,root,root) %{_libdir}/libccext2-1.8.so.*.*.*
%ghost %{_libdir}/libccext2-1.8.so.0
%attr(755,root,root) %{_libdir}/libccgnu2-1.8.so.*.*.*
%ghost %{_libdir}/libccgnu2-1.8.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.{css,html,js,png}
%attr(755,root,root) %{_bindir}/ccgnu2-config
%attr(755,root,root) %{_libdir}/libccext2.so
%attr(755,root,root) %{_libdir}/libccgnu2.so
%{_libdir}/libccext2.la
%{_libdir}/libccgnu2.la
%{_includedir}/cc++
%{_aclocaldir}/ost_check2.m4
%{_pkgconfigdir}/libccext2.pc
%{_pkgconfigdir}/libccgnu2.pc
%{_infodir}/commoncpp2.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libccext2.a
%{_libdir}/libccgnu2.a
%endif
%changelog
* Fri Oct 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/commoncpp2.git;a=log;h=master

* Fri Oct 22 2021 Jan Rękorajski <baggins@pld-linux.org> 0f7d910
- fix building with gcc 11, rebuild with openssl 3.0.0, rel 6

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cfccd1
- missing patch

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e532768
- rel 5

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a5bf337
- release 4 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c3fdf6
- rel 3; fix openssl & texinfo build

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 48d9623
- release 2 (by relup.sh)

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 8dc0ec1
- added gnutls bcond

* Mon Jan 02 2012 Jakub Bogusz <qboosh@pld-linux.org> c45a90a
- adjusted License: upstream calls this "runtime exception"

* Mon Jan 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 8fc0cf8
- updated to 1.8.1
- removed obsolete lt,gcc4 patches
- added netfilter patch, ensure that NAT is detected after running configure
- added include patch (missing <sys/stat.h> for mkfifo())
- added link patch instead of bogus skip_post_check_so
- added info patch (to unify direntry)

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 984e9b7
- added required skip_post_check_so

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 386fc73
- release 3

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b7308c
- release 2

* Sat Oct 24 2009 Szymon Siwek <sls@pld-linux.org> 54a4a4f
- added gcc4.patch
- make -j1
- rel. 1

* Fri Oct 23 2009 Szymon Siwek <sls@pld-linux.org> 7f5d9eb
- fix for "invalid conversion from ‘const char*’ to ‘char*’"

* Fri Oct 23 2009 Szymon Siwek <sls@pld-linux.org> 153ee4d
- update for ver. 1.7.3

* Fri Oct 23 2009 Szymon Siwek <sls@pld-linux.org> 5188bc3
- ver. 1.7.3

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 83d7b0b
- release 2

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2291896
- updated

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e63c03
- up to 1.7.1

* Fri Dec 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f5becfa
- up to 1.7.0

